# © 2024 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FinancialProductTemplateGuarantee(models.Model):
    _name = "financial.product.template.guarantee"
    _inherit = [
        "financial.product.template",
        "mail.thread",
        "mail.activity.mixin",
    ]
    _description = "Financial product template guarantee"

    guarantee_rate = fields.Float("Quotité garantie")
    suspensive_condition_ids = fields.One2many(
        comodel_name="financial.product.guarantee.suspensive.condition",
        inverse_name="product_id",
        string="Conditions suspensives",
    )

    # ------------------------------------------------------
    # Constrains functions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Override ORM
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD (Override ORM)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business functions
    # ------------------------------------------------------
