import {Component} from "@odoo/owl";
import {registry} from "@web/core/registry";
import { standardFieldProps } from "@web/views/fields/standard_field_props";
import { formatMonetary } from "@web/views/fields/formatters";

export class FinancialGuaranteeSummary extends Component {
    static template = "financial_contract_guarantee.FinancialGuaranteeSummary";
    static props = {
        ...standardFieldProps,
    };

    setup() {
        super.setup();
        this.data = this.props.record.data[this.props.name];
        this._formatMonetary = (num, currencyId) => formatMonetary(num,{ currencyId: currencyId});
    }
}

export const financialGuaranteeSummary = {
    component: FinancialGuaranteeSummary,
}

registry.category("fields").add("financial_guarantee_summary", financialGuaranteeSummary);
